PHP Manual
Prev |  | Next

# win32_set_service_status

(PECL)

win32_set_service_status -- Update the service status

## Description

bool win32_set_service_status ( int status )

Informs the SCM of the current status of a running service. This call is only valid for a running service process.

## Parameters

status

  The service status code, one of `WIN32_SERVICE_RUNNING`, `WIN32_SERVICE_STOPPED`, `WIN32_SERVICE_STOP_PENDING`, `WIN32_SERVICE_START_PENDING`, `WIN32_SERVICE_CONTINUE_PENDING`, `WIN32_SERVICE_PAUSE_PENDING`, `WIN32_SERVICE_PAUSED`.

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

win32_start_service_ctrl_dispatcher()

Prev | Home | Next
win32_query_service_status | Up | win32_start_service_ctrl_dispatcher